Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-7794

Studio installer overwrites later versions of Appc CLI core and NPM with GA versions

    Details

    • Type: Bug
    • Status: Open
    • Priority: None
    • Resolution: Unresolved
    • Affects Version/s: Release 4.3.3
    • Fix Version/s: None
    • Component/s: Installer
    • Labels:
    • Environment:

      NPM Version: 2.14.7
      Node Version: 4.2.1
      Mac OS: 10.10.5
      Appc CLI: 5.0.4-2
      Appc CLI NPM: 4.1.0-2
      Titanium SDK version: 5.1.0.v20151019145227
      Appcelerator Studio, build: 4.3.3.201510201834
      Xcode 7 GM

      Description

      Description:

      When running the studio installer with Appc CLI NPM: 4.2.1-5 and Appc CLI Core: 5.0.4-2, I ended up with Appc CLI NPM: 4.2.0 and Appc CLI Core: 5.0.3.

      The installer should not overwrite versions of components later than the GA

      Steps to reproduce:

      1) Install Appc CLI NPM: 4.2.1-5 and Appc CLI Core: 5.0.4-2
      2) Download and launch studio Installer for 4.3.3.201510201834
      3) After install check versions of NPM and Core

      Result:

      Versions have been back-reved to GA

      Expected Result:

      Development versions remain installed and active

        Attachments

          Activity

            People

            • Assignee:
              kkolipaka Kondal Kolipaka (Inactive)
              Reporter:
              emerriman Eric Merriman
            • Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: